Debian Bug report logs - #560142
java-common: Package updates entail "Network is unreachable" in Java programs

version graph

Package: openjdk-6; Maintainer for openjdk-6 is OpenJDK Team <openjdk@lists.launchpad.net>;

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Wed, 9 Dec 2009 08:57:01 UTC

Severity: important

Tags: confirmed, ipv6

Merged with 560056, 561835

Found in versions 6b18-1.8-2, 6b16-1.6.1-2

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6342561

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@eikel.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Eikel <debian@eikel.org>:
New Bug report received and forwarded. Copy sent to debian@eikel.org, Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benjamin Eikel <debian@eikel.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: java-common: Package updates entail "Network is unreachable" in Java programs
Date: Wed, 09 Dec 2009 09:54:52 +0100
Package: java-common
Version: 0.33
Severity: normal

Hello,

I am quite sure that this bug report does not belong to "java-common", but because it affects all my Java programs I reported it here.

Since installing the package updates yesterday networking in Java programs is not working anymore. For example Eclipse (installed manually, not as Debian package) gives me:

Dec 9, 2009 9:39:26 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
INFO: I/O exception (java.net.ConnectException) caught when processing request: Network is unreachable
Dec 9, 2009 9:39:26 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
INFO: Retrying request

Other Java programs (I can name JabRef and Hudson) have the same problem (they also report "Network is unreachable"). Other programs (for example Iceweasel, Kontact, reportbug) have no networking problems. I am using the "sun-java6-*" packages. But because they were not updated yesterday I suppose there is another reason for this problem. Maybe the update of "netbase"? Perhaps you can give me some hints how to inspect this problem.

Kind regards,
Benjamin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

java-common depends on no packages.

java-common recommends no packages.

Versions of packages java-common suggests:
pn  default-jre                   <none>     (no description available)
pn  equivs                        <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 10:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 560142@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Benjamin Eikel <debian@eikel.org>, 560142@bugs.debian.org
Subject: Re: Bug#560142: java-common: Package updates entail "Network is unreachable" in Java programs
Date: Wed, 09 Dec 2009 11:25:57 +0100
Hello Benjamin,

> Dec 9, 2009 9:39:26 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
> INFO: I/O exception (java.net.ConnectException) caught when processing request: Network is unreachable
> Dec 9, 2009 9:39:26 AM org.apache.commons.httpclient.HttpMethodDirector executeWithRetry
> INFO: Retrying request
Maybe you have the same problem as in:
http://pvaneynd.livejournal.com/132635.html

Sylvestre






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 10:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hylke van der Schaaf <hylke.vanderschaaf@wur.nl>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 10:36:10 GMT) Full text and rfc822 format available.

Message #15 received at 560142@bugs.debian.org (full text, mbox):

From: Hylke van der Schaaf <hylke.vanderschaaf@wur.nl>
To: 560142@bugs.debian.org
Subject: java-common: Package updates entail "Network is unreachable" in Java programs
Date: Wed, 09 Dec 2009 11:28:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've run into the same problem. Java seems to be unable to access the
network.

Java applets don't work because the plugin can't download the jar files
of the applets.
Netbeans can't download any updates.

I've tried several version of Java downloaded directly from sun. These
all had the same problem, so I guess it's not in the Java packages.

I've tried several browsers, including firefox downloaded from
mozilla.com, after purging iceweasel and xulrunner. All show the same
symptom.

All other programs have no connection problems.

I have no clue where to look next.

Regards,
Hylke


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 11:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Eikel <debian@eikel.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 11:12:10 GMT) Full text and rfc822 format available.

Message #20 received at 560142@bugs.debian.org (full text, mbox):

From: Benjamin Eikel <debian@eikel.org>
To: 560142@bugs.debian.org
Subject: Workaround
Date: Wed, 9 Dec 2009 12:02:07 +0100
Hello,

thank you Sylvestre for your hint. Adding "-Djava.net.preferIPv4Stack=true" to 
my "eclipse.ini" fixed the problem for Eclipse. Adding the setting to the file 
"~/.java/deployment/deployment.properties" as suggested in the blog post does 
not work for me. I think this setting only affects Java applets. Maybe there is 
a similar setting for local programs run by the JRE.
So somehow Java started to use IPv6 yesterday. Is this connected with the 
change in the "netbase" package?

Kind regards,
Benjamin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 12:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 560142@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Benjamin Eikel <debian@eikel.org>, 560142@bugs.debian.org
Subject: java-common: Package updates entail "Network is unreachable" in Java programs
Date: Wed, 09 Dec 2009 12:56:43 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reassign 560142 openjdk-6
forcemerge 560056 560142
thanks

> So somehow Java started to use IPv6 yesterday. Is this connected with the 
> change in the "netbase" package?

Yes, looks like it. Not sure which JRE you use, but it affects both
OpenJDK and Sun.

Cheers,

Marcus

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAksfkHQACgkQXjXn6TzcAQkE3QCfduQQ77n9UCxkcXHG0BXmTMvU
c9IAoOnQGxkyVxEmku/7Su/nX+lO2yXn
=b0Nb
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hylke van der Schaaf <hylke.vanderschaaf@wur.nl>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 12:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 560142@bugs.debian.org (full text, mbox):

From: Hylke van der Schaaf <hylke.vanderschaaf@wur.nl>
To: 560142@bugs.debian.org
Subject: Workaround
Date: Wed, 09 Dec 2009 13:11:19 +0100
[Message part 1 (text/plain, inline)]
Hi all,

I can confirm that adding -Djava.net.preferIPv4Stack=true to the java
aruments fixes the problem. For java applets that can be done using the
jcontrol tool, or by editing ~/.java/deployment/deployment.properties
directly.

For netbeans I had to add it to the netbeans config file for networking
to start working again.

Regards,
Hylke


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Mailing List <debian-java@lists.debian.org>:
Bug#560142; Package java-common. (Wed, 09 Dec 2009 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yusuf iskenderoglu <enygma@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Mailing List <debian-java@lists.debian.org>. (Wed, 09 Dec 2009 14:30:06 GMT) Full text and rfc822 format available.

Message #35 received at 560142@bugs.debian.org (full text, mbox):

From: Yusuf iskenderoglu <enygma@gmx.de>
To: 560142@bugs.debian.org
Subject: The cause of ipv6 Problems with java
Date: Wed, 09 Dec 2009 15:28:50 +0100
Hello,

The update to netbase installs a new sysctl option to the system:

enygma@whitelight:~$ cat /etc/sysctl.d/bindv6only.conf 
# This sysctl sets the default value of the IPV6_V6ONLY socket option.
#
# When disabled, IPv6 sockets will also be able to send and receive IPv4
# traffic with addresses in the form ::ffff:192.0.2.1 and daemons
listening
# on IPv6 sockets will also accept IPv4 connections.
#
# When IPV6_V6ONLY is enabled, daemons interested in both IPv4 and IPv6
# connections must open two listening sockets.
# This is the default behaviour of all modern operating systems.

net.ipv6.bindv6only = 1

----

This option makes it not possible to use the ::ffff::ip style mapped
addresses anymore, however, this is the default of the java virtual
machine, unless the specified define is used to suppress ipv6.

Setting the sysctl option to 0 makes java behave normal again.

Regards,
Yusuf.





Bug reassigned from package 'java-common' to 'openjdk-6'. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:36:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions java-common/0.33. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:36:04 GMT) Full text and rfc822 format available.

Forcibly Merged 560056 560142. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Wed, 09 Dec 2009 14:45:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6342561'. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Fri, 11 Dec 2009 19:18:07 GMT) Full text and rfc822 format available.

Added indication that bug 560142 blocks 560238 Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sat, 12 Dec 2009 23:45:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 6b16-1.6.1-2. Request was from Marcus Better <marcus@better.se> to control@bugs.debian.org. (Sun, 13 Dec 2009 13:24:05 GMT) Full text and rfc822 format available.

Added indication that bug 560142 blocks 561930 Request was from Damien Raude-Morvan <drazzib@debian.org> to control@bugs.debian.org. (Mon, 21 Dec 2009 20:18:07 GMT) Full text and rfc822 format available.

Bug 560238 cloned as bug 562804. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Mon, 28 Dec 2009 03:00:09 GMT) Full text and rfc822 format available.

Added indication that 560142 affects vuze Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sat, 02 Jan 2010 01:12:03 GMT) Full text and rfc822 format available.

Added indication that bug 560142 blocks 563699 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:39:12 GMT) Full text and rfc822 format available.

Added indication that bug 560142 blocks 563946 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:39:16 GMT) Full text and rfc822 format available.

Bug 560238 cloned as bug 569937. Request was from Marco d'Itri <md@Linux.IT> to control@bugs.debian.org. (Mon, 15 Feb 2010 10:12:15 GMT) Full text and rfc822 format available.

Forcibly Merged 560056 560142 561835. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 28 Feb 2010 23:15:05 GMT) Full text and rfc822 format available.

Removed indication that bug 560142 blocks 560238 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 08:24:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Apr 2010 07:32:55 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Paul Menzel <pm.debian@googlemail.com>' from 'Benjamin Eikel <debian@eikel.org>' Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:08 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions openjdk-6/6b18~pre1-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 May 2010 07:30:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 6b18-1.8-2. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Mon, 03 May 2010 07:30:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Jun 2010 07:34:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:54:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.